/**
 *reverseproxy App
 * There are different ways implementing an App
 */
var proxyApp = proxyApp || {};  //Define App namespace, if you want.
/**
 *Constructor UNAS App
 */
proxyApp.App = function () {
    this.id = 'Reverse Proxy';
    this.name = 'Reverse Proxy';
    this.version = '6.0.9';
    this.active = false;
    this.menuIcon = '/apps/reverseproxy/images/logo.png?v=6.0.9&';
    this.shortcutIcon = '/apps/reverseproxy/images/logo.png?v=6.0.9&';
    this.entryUrl = '/apps/reverseproxy/index.html?v=6.0.9&';
    //this.entryHelpUrl = '/apps/reverseproxy/reverseproxy_help.html?v=6.0.9&';
    var self = this;
    this.proxyAppWindow = function () { //create app window
        if(UNAS.CheckAppState('Reverse Proxy')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'proxyAppWindow',
            title: UNAS._('Reverse Proxy'),
            icon: '/apps/reverseproxy/images/logo_small.png?v=6.0.9&',
            width: 800,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [500, 2000], 'y': [480, 1500] },
            loadMethod: 'xhr',
            contentURL: '/apps/reverseproxy/index.html?v=6.0.9&',
            require: {  css: ['/apps/reverseproxy/css/reverseproxy.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Reverse Proxy",'proxyAppWindow')}
        });
    };
    this.proxyAppUninstall = function (){
        UNAS.RemoveDesktopShortcut('Reverse Proxy');
        UNAS.RemoveMenu('Reverse Proxy');
        UNAS.RemoveAppFromGroups('Reverse Proxy', 'ControlPanel');
        UNAS.RemoveAppFromGroups('Reverse Proxy', 'Help');
        UNAS.RemoveAppFromApps('Reverse Proxy');
    }
    new UNAS.Menu('UNAS_App_SystemTools_Menu', this.name, this.menuIcon, 'Reverse Proxy', '', this.proxyAppWindow);
    new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Reverse Proxy', this.proxyAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'SystemTools', 'Location' : 4, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'SystemTools', 'Location' : 4, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Reverse Proxy', UNAS._('Reverse Proxy')); //translate menu
        UNAS.SetShortcutTitle('Reverse Proxy', UNAS._('Reverse Proxy')); //translate shortcut
        if (typeof self.window !== 'undefined') {
            //need to translate the window title, menu and shortcut
            UNAS.SetWindowTitle('proxyAppWindow', UNAS._('Reverse Proxy'));
        }
    }
    UNAS.LoadTranslation('/apps/reverseproxy/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name,this.shortcutIcon,this.proxyAppWindow,this.proxyAppUninstall);
};

new proxyApp.App(); //Create app